Get Dimensions for a Plan Type
Use this REST API to retrieve the dimensions associated with a specified plan type within an application.
Required Roles
Any Role
REST Resource
GET
/HyperionPlanning/rest/v3/applications/{application}/plantypes/{plantype}/dimensions
Request
Parameters:
Table 8-59 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
application |
The name of the application | Path | Yes | None |
plantype |
The name of the plan type | Path | Yes | None |
q |
MongoDB style query parameters in JSON format for filtering
results by name, dimType, or other
custom logic
|
Query | No | None |
offset |
The index from which the records are returned. It is a 0 based non-negative integer. | Query | No | 0 |
limit |
The number of items to return. A limit of 0 or -1 will return all records starting from the index defined by the offset. |
Query | No | 25 |
fields |
Comma-separated list of field names to be returned | Query | No | None |
Example URL using MongoDB-style query (q) parameter:
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/dimensions?q={"objectType":"DIMENSION","level":{$gt:1},"dimType":{$ne:"Attribute Dimension"}}&offset=1&limit=2&fields=id,name,level,dimType,objectType,linksResponse
Supported Media Types: application/json
Table 8-60 Parameters
| Name | Description |
|---|---|
id |
The unique ID of the dimension |
name |
The name of the dimension |
level |
The hierarchical level of the dimension |
dimType |
The type of the dimension such as Period,
Account, Currency,
Scenario |
objectType |
The object type, typically Dimension. |
links |
The links related to the dimension |
totalResults |
The total number of dimensions matching the filter criteria |
hasMore |
True or False, if there are more pages of records |
Sample Response
{
"links": [
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/dimensions?q=%7B%22objectType%22%3A%22DIMENSION%22%2C%22level%22%3A%7B%24gt%3A1%7D%2C%22dimType%22%3A%7B%24ne%3A%22Attribute%2BDimension%22%7D%7D&offset=1&limit=2&fields=id%2Cname%2Clevel%2CdimType%2CobjectType%2Clinks",
"action": "GET",
"rel": "self"
},
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/dimensions?q=%7B%22objectType%22%3A%22DIMENSION%22%2C%22level%22%3A%7B%24gt%3A1%7D%2C%22dimType%22%3A%7B%24ne%3A%22Attribute%2BDimension%22%7D%7D&fields=id%2Cname%2Clevel%2CdimType%2CobjectType%2Clinks&offset=0&limit=1",
"action": "GET",
"rel": "prev"
},
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/dimensions?q=%7B%22objectType%22%3A%22DIMENSION%22%2C%22level%22%3A%7B%24gt%3A1%7D%2C%22dimType%22%3A%7B%24ne%3A%22Attribute%2BDimension%22%7D%7D&fields=id%2Cname%2Clevel%2CdimType%2CobjectType%2Clinks&offset=3&limit=2",
"action": "GET",
"rel": "next"
}
],
"items": [
{
"links": [
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/dimensions/Period",
"action": "GET",
"rel": "self"
}
],
"level": 3,
"dimType": "Period",
"objectType": "Dimension",
"name": "Period",
"id": "c367a200-e0ef-446d-8c86-72d3153b7e97"
},
{
"links": [
{
"href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/dimensions/Scenario",
"action": "GET",
"rel": "self"
}
],
"level": 2,
"dimType": "Scenario",
"objectType": "Dimension",
"name": "Scenario",
"id": "63c49e04-37fb-403b-aa4c-534ac5eea098"
}
],
"totalResults": 6,
"hasMore": true
}